.TH "orte_pointer_array_t" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
orte_pointer_array_t \- dynamic pointer array  

.PP
.SH SYNOPSIS
.br
.PP
\fC#include <orte_pointer_array.h>\fP
.PP
.SS "Data Fields"

.in +1c
.ti -1c
.RI "\fBopal_object_t\fP \fBsuper\fP"
.br
.RI "\fIbase class \fP"
.ti -1c
.RI "\fBopal_mutex_t\fP \fBlock\fP"
.br
.RI "\fIsynchronization object \fP"
.ti -1c
.RI "size_t \fBlowest_free\fP"
.br
.RI "\fIIndex of lowest free element. \fP"
.ti -1c
.RI "size_t \fBnumber_free\fP"
.br
.RI "\fInumber of free elements in the list \fP"
.ti -1c
.RI "size_t \fBsize\fP"
.br
.RI "\fIsize of list, i.e. \fP"
.ti -1c
.RI "size_t \fBmax_size\fP"
.br
.RI "\fImaximum size list is allowed to reach \fP"
.ti -1c
.RI "size_t \fBblock_size\fP"
.br
.RI "\fIgrowth steps for list \fP"
.ti -1c
.RI "void ** \fBaddr\fP"
.br
.RI "\fIpointer to array of pointers \fP"
.in -1c
.SH "Detailed Description"
.PP 
dynamic pointer array 
.PP
.SH "Field Documentation"
.PP 
.SS "size_t \fBorte_pointer_array_t::lowest_free\fP"
.PP
Index of lowest free element. 
.PP
NOTE: This is only an optimization to know where to search for the first free slot. It does \fInot\fP necessarily imply indices all above this index are not taken! 
.SS "size_t \fBorte_pointer_array_t::size\fP"
.PP
size of list, i.e. 
.PP
number of elements in addr 

.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
